local actionBars = { "MainMenuBar", "MultiBarBottomLeft", "MultiBarBottomRight", "StanceBar", "PetActionBar", "PossessActionBar", "MultiBarRight", "MultiBarLeft", "MultiBar5", "MultiBar6", "MultiBar7" }
local variables = { "flyoutDirection",  "snappedToFrame" }
local function ClearTaint(self)
	for _, var in ipairs(variables) do
		if not issecurevariable(self, var) then
			self[var] = nil
		end
	end
end
for _, actionBar in ipairs(actionBars) do
	--hooksecurefunc(_G[actionBar], "UpdateSpellFlyoutDirection", ClearTaint)
end

